net.sf.jasperreports.web.util

## Class AbstractWebResourceHandler

- java.lang.Object
- - net.sf.jasperreports.web.util.AbstractWebResourceHandler

- All Implemented Interfaces:
    WebResourceHandler
  Direct Known Subclasses:
    DefaultWebResourceHandler, JiveWebResourceHandler

      public abstract class AbstractWebResourceHandler
      extends java.lang.Object
      implements WebResourceHandler

  Version:
    $Id$
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTIES_WEB_RESOURCE_PATTERN_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractWebResourceHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract WebResource` | `getResource(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request, java.lang.String resource)`
    `boolean` | `handleResource(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTIES_WEB_RESOURCE_PATTERN_PREFIX

          public static final java.lang.String PROPERTIES_WEB_RESOURCE_PATTERN_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractWebResourceHandler

          public AbstractWebResourceHandler()

  - ### Method Detail

    - #### handleResource

          public boolean handleResource(JasperReportsContext jasperReportsContext,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)

      Specified by:
        `handleResource` in interface `WebResourceHandler`

    - #### getResource

          public abstract WebResource getResource(JasperReportsContext jasperReportsContext,
                                javax.servlet.http.HttpServletRequest request,
                                java.lang.String resource)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com